complexType "CommodityInformationSource"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 elements
Defined: | globally in fpml-asset-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | rateSource?, rateSourcePage?, rateSourcePageHeading?
</...>

Content Model Elements (3):

  rateSource (in publication), rateSourcePage (in publication), | rateSourcePageHeading (in publication)

All Direct / Indirect Based Elements (1):

  publication

Known Usage Locations

- As direct type of elements (1):
  publication

Annotation
A type defining the source of a commodity rate, price or index or of a market rate or of a conversion factor (e.g. a fx conversion factor).
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="CommodityInformationSource"> <xsd:sequence> <xsd:element minOccurs="0" name="rateSource" type="CommodityInformationProvider"/> <xsd:element minOccurs="0" name="rateSourcePage" type="RateSourcePage"/> <xsd:element minOccurs="0" name="rateSourcePageHeading" type="xsd:string"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
rateSource

  Type: | CommodityInformationProvider, simple content

  The publication in which the rate, price, index or factor is to be found. (e.g Gas Daily, Platts Bloomberg.)
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="rateSource" type="CommodityInformationProvider"/>

rateSourcePage

  Type: | RateSourcePage, simple content

  A specific page or screen (in the case of electronically published information) on which the rate source is to be found.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="rateSourcePage" type="RateSourcePage"/>

rateSourcePageHeading

  Type: | xsd:string, predefined, simple content

  The heading for the rate source on a given rate source page or screen.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="rateSourcePageHeading" type="xsd:string"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.